% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tar_undebug.R
\name{tar_undebug}
\alias{tar_undebug}
\title{Remove debugging files.}
\usage{
tar_undebug()
}
\value{
Nothing.
}
\description{
Destroy \verb{_targets/workspaces/} and \verb{_targets/scratch/},
which are directories with files for debugging.
}
\examples{
\dontrun{
tar_script({
  tar_option_set(error = "save") # Required for saving workspaces.
  tar_pipeline(
    tar_target(x, "loaded"),
    tar_target(y, stop(x))
  )
})
try(tar_make())
file.exists("_targets/workspaces/y") # TRUE
tar_undebug()
file.exists("_targets/workspaces/y") # FALSE
}
}
