tar_test("tar_renv() works", {
  expect_false(file.exists("_packages.R"))
  tar_option_set(packages = c("tibble", "qs"))
  tar_renv(ask = FALSE)
  expect_true(file.exists("_packages.R"))
  expect_equal(
    readLines("_packages.R"),
    c(
      "# Generated by targets::tar_env(): do not edit by hand",
      paste0("library(", c("tibble", "qs"), ")")
      )
    )
})

tar_test("tar_renv() works with custom path", {
  path <- tempfile()
  expect_false(file.exists(path))
  tar_option_set(packages = c("tibble", "qs"))
  tar_renv(ask = FALSE, path = path)
  expect_true(file.exists(path))
  expect_equal(
    readLines(path),
    c(
      "# Generated by targets::tar_env(): do not edit by hand",
      paste0("library(", c("tibble", "qs"), ")")
    )
  )
})
